import { ApiSourceFileDto } from "./contracts/definitions/api-source-file-dto";
import { ExtractorOptions } from "./contracts/extractor-options";
import { ExtractedApiRegistry } from "./api-registry";
export interface ExtractDto {
    Registry: ExtractedApiRegistry;
    EntryFiles: ApiSourceFileDto[];
}
export declare class Extractor {
    constructor(options: ExtractorOptions);
    protected Options: ExtractorOptions;
    Extract(files: string[]): ExtractDto;
}
