import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiExportSpecifierDto } from "../contracts/definitions/api-export-specifier-dto";
export declare class ApiExportSpecifier extends ApiItem<ts.ExportSpecifier, ApiExportSpecifierDto> {
    private targetSymbol;
    private apiItems;
    private getApiItems();
    protected OnGatherData(): void;
    OnExtract(): ApiExportSpecifierDto;
}
