import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiExportDto } from "../contracts/definitions/api-export-dto";
export declare class ApiExport extends ApiItem<ts.ExportDeclaration, ApiExportDto> {
    private getExportPath();
    private members;
    private apiSourceFile;
    protected OnGatherData(): void;
    OnExtract(): ApiExportDto;
}
